STRUCT IS_EQUAL(3)

NAME
boost::algorithm::is_equal - is_equal functor

SYNOPSIS

// In header: <boost/algorithm/string/compare.hpp>
struct is_equal {
  // public member functions
  template<typename T1, typename T2>
    bool operator()(const T1 &, const T2 &) const;
};

DESCRIPTION

Standard STL equal_to only handle comparison between arguments of the same type. This is a less restrictive version which wraps operator ==.

  is_equal public member functions

    1.

    template<typename T1, typename T2>
      bool operator()(const T1 & Arg1, const T2 & Arg2) const;

    Function operator. Compare two operands for equality